ru.bitel.bgbilling.plugins.crm.server.bean.event

## Class RegisterTaskClosedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.plugins.crm.server.bean.event.RegisterTaskClosedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class RegisterTaskClosedEvent
      extends LocalEvent

  Синхронное событие по закрытию задачи в CRM.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RegisterTaskClosedEvent()`
    `` | `RegisterTaskClosedEvent(int pluginId, RegisterTask task, int userId)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegisterTask` | `getTask()` Возвращает закрываемую задачу.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterTaskClosedEvent

          protected RegisterTaskClosedEvent()

    - #### RegisterTaskClosedEvent

          public RegisterTaskClosedEvent(int pluginId,
                                         RegisterTask task,
                                         int userId)

      Конструктор события.
      Parameters:
        `pluginId` - - код плагина
        `task` - - задача
        `userId` - - id пользователя, сгенерировавшего событие

  - ### Method Detail

    - #### getTask

          public RegisterTask getTask()

      Возвращает закрываемую задачу.
      Returns:
        task - задача